
Redmine - Defect #11837

Migrating from 1.2 to 2.1 (stable branch)

2012-09-15 16:29 - Tony Georges

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.0.0

Description

Hi

Today I have try to migrate from 1.2 to 2.1 and I was quite lucky until I found that all our project files were inaccessible.

-> Project -> Files -> show :

Page not found

The page you were trying to access doesn't exist or has been removed.

Back

And in the log on the server side

Started GET "/projects/testfiles/files" for 88.167.71.116 at Sat Sep 15 15:47:02 +0200 2012

Processing by FilesController#index as HTML

Parameters: {"project_id"=>"testfiles"}

Completed 500 Internal Server Error in 11ms

ActiveRecord::RecordNotFound (Couldn't find Project with id=27):

app/models/project.rb:271:in `find'

app/controllers/files_controller.rb:34:in `index'

I reproduce it using a new project and old project.

I also found the same problem on 2.0 stable branch.

For the other stuff, all seem to be working.

Database : sqlite

ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]

rails 3.2.6

Thanks for your help

History

#1 - 2012-09-15 18:08 - Jean-Philippe Lang

- Category deleted (Core Plugins)

- Resolution set to Cant reproduce

There's no call to #find at app/models/project.rb:271 in current 2.1-stable.

Make sure you don't have local changes.

#2 - 2012-09-15 19:06 - Tony Georges

You're right, i send you the log for 2.0 stable (because I test both). Sorry.

Here is the log in 2.1-stable

Started GET "/projects/catmipad0/files" for 88.167.71.116 at Sat Sep 15 15:31:45 +0200 2012

Processing by FilesController#index as HTML

2025-05-17 1/2



Parameters: {"project_id"=>"catmipad0"}

Current user: tgeorges (id=4)

Completed 500 Internal Server Error in 16ms

ActiveRecord::RecordNotFound (Couldn't find Project with id=12):

app/models/project.rb:272:in `find'

app/controllers/files_controller.rb:34:in `index'

It is line 272 in find method in project.rb (I just verify it on SVN)

Before installing redmine, I get the source from svn...and make no changes.

#3 - 2012-09-17 08:27 - Sepp _

hint: I found out that he won't read tickets with resolution="Cant reproduce"...

#4 - 2012-09-17 09:55 - Etienne Massip

Tony Georges wrote:

You're right, i send you the log for 2.0 stable (because I test both). Sorry.

Here is the log in 2.1-stable

 Which revision? Because latest in branch still does match, the error in log is raised by line 269: 

source:/branches/2.1-stable/app/models/project.rb#L269.

#5 - 2012-10-08 17:56 - Yannick Recht

Dear Tony,

I had a similar problem during a migration from Redmine 1.2.1 to 2.1.2. It seems that it was coming from some outdated plugins. On my side it was

coming from the PluginGraphs.

I have solved the problem by doing the migration again but without PluginGraphs.

I hope this will help you.

#6 - 2018-10-03 05:35 - Go MAEDA

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/2.1-stable/app/models/project.rb#L269
http://www.redmine.org/projects/redmine/wiki/PluginGraphs
http://www.tcpdf.org

